Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class PrimitiveByteArrayBlobType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.AbstractLobType
              org.hibernate.type.ByteArrayBlobType
                  org.hibernate.type.PrimitiveByteArrayBlobType

All Implemented Interfaces:
  Serializable, org.hibernate.type.Type

    public class PrimitiveByteArrayBlobType

extends ByteArrayBlobType

Map a byte[] to a Blob

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`PrimitiveByteArrayBlobType()`

Method Summary
`Class` | `getReturnedClass()`
`protected byte[]` | `unWrap(Object bytes)`
`protected Object` | `wrap(byte[] bytes)`

Methods inherited from class org.hibernate.type.ByteArrayBlobType
`deepCopy, fromXMLNode, get, getHashCode, isEqual, isMutable, replace, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString`

Methods inherited from class org.hibernate.type.AbstractLobType
`getColumnSpan, getHashCode, getName, isDirty, isEqual, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet`

Methods inherited from class org.hibernate.type.AbstractType
`assemble, beforeAssemble, compare, disassemble, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isEntityType, isModified, isSame, isXMLElement, replace, replaceNode, resolve, semiResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimitiveByteArrayBlobType

    public PrimitiveByteArrayBlobType()

Method Detail

### getReturnedClass

    public Class getReturnedClass()

  Specified by:
    `getReturnedClass` in interface `org.hibernate.type.Type`
  Overrides:
    `getReturnedClass` in class `ByteArrayBlobType`

### wrap

    protected Object wrap(byte[] bytes)

  Overrides:
    `wrap` in class `ByteArrayBlobType`

### unWrap

    protected byte[] unWrap(Object bytes)

  Overrides:
    `unWrap` in class `ByteArrayBlobType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD